Create Rune Etch Order
Quick Start
post
Authorizations
x-api-keystringRequired
Body
runeNamestringRequired
divisibilitynumber · max: 38Optional
symbolstring · max: 1Optional
preminestringOptional
isMintablebooleanRequired
delegateInscriptionIdstringOptional
destinationAddressstringRequired
refundAddressstringOptional
feeRatenumber · min: 1Required
appServiceFeenumberOptional
appServiceFeeAddressstringOptional
turbobooleanOptional
Responses
200
Default Response
application/json
orderIdstringRequired
fundAddressstringRequired
fundAmountnumberRequired
post/v1/runes-managed/etch/orders
POST /v1/runes-managed/etch/orders HTTP/1.1
Host: api.secretkeylabs.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 428
{
"runeName": "text",
"divisibility": 1,
"symbol": "text",
"premine": "text",
"isMintable": true,
"terms": {
"amount": "text",
"cap": "text",
"heightStart": "text",
"heightEnd": "text",
"offsetStart": "text",
"offsetEnd": "text"
},
"inscriptionDetails": {
"contentType": "text",
"contentBase64": "text"
},
"delegateInscriptionId": "text",
"destinationAddress": "text",
"refundAddress": "text",
"feeRate": 1,
"appServiceFee": 1,
"appServiceFeeAddress": "text",
"turbo": true
}200
Default Response
{
"orderId": "text",
"fundAddress": "text",
"fundAmount": 1
}Create Rune Etch Order - Request
RunesEtchParams Property
Description
Create Rune Etch Order - Response
Create Etch Order - Response
Description
Next Step -> Fund & Execute Etch Order
Last updated